UnsortedTermFreqIteratorWrapper (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.suggest.UnsortedTermFreqIteratorWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.suggest
Class UnsortedTermFreqIteratorWrapper

    java.lang.Object
      org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
          org.apache.lucene.search.suggest.UnsortedTermFreqIteratorWrapper

All Implemented Interfaces:
  TermFreqIterator, BytesRefIterator

    public class UnsortedTermFreqIteratorWrapper

extends BufferingTermFreqIteratorWrapper

This wrapper buffers the incoming elements and makes sure they are in random order.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.search.spell.TermFreqIterator
`TermFreqIterator.TermFreqIteratorWrapper`

Field Summary

Fields inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
`curPos, entries, freqs`

Fields inherited from interface org.apache.lucene.util.BytesRefIterator
`EMPTY`

Constructor Summary
`UnsortedTermFreqIteratorWrapper(TermFreqIterator source)`

Method Summary
`BytesRef` | `next()` Increments the iteration to the next `BytesRef` in the iterator.
`long` | `weight()`

Methods inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
`getComparator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnsortedTermFreqIteratorWrapper

    public UnsortedTermFreqIteratorWrapper(TermFreqIterator source)
                                    throws IOException

Throws:
  `IOException`

Method Detail

### weight

    public long weight()

  Specified by:
    `weight` in interface `TermFreqIterator`
  Overrides:
    `weight` in class `BufferingTermFreqIteratorWrapper`

### next

    public BytesRef next()
                  throws IOException

  Description copied from interface: `BytesRefIterator`
  Increments the iteration to the next `BytesRef` in the iterator. Returns the resulting `BytesRef` or `null` if the end of the iterator is reached. The returned BytesRef may be re-used across calls to next. After this method returns null, do not call it again: the results are undefined.

  Specified by:
    `next` in interface `BytesRefIterator`
  Overrides:
    `next` in class `BufferingTermFreqIteratorWrapper`
  Returns:
    the next `BytesRef` in the iterator or `null` if the end of the iterator is reached.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD